#ifndef _MENU_H_
#define _MENU_H_

#include "game.h"
#include "graphics.h"

int menu(game_t* game, screen_t* screen);
void bcopy(const void *src, void *dst, int n); 

#if defined(__BEOS__) || defined(OS_solaris) || defined(OS_mingw)
#include <dirent.h>
extern int alphasort(const void *d1, const void *d2);
extern int scandir(const char *dirname, struct dirent ***namelist, int(*select) (const struct dirent *), int (*dcomp) (const void *, const void *));
#endif  /* __BEOS__ */

#endif
